org.eclipse.graphiti.ui.internal.parts

## Class AnchorContainerDelegate

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.PictogramElementDelegate
  - - org.eclipse.graphiti.ui.internal.parts.AnchorContainerDelegate

All Implemented Interfaces:
  IAdaptable, IFeatureProviderHolder, IVisualStateHolder, IAnchorContainerDelegate, IPictogramElementDelegate

    public class AnchorContainerDelegate
    extends PictogramElementDelegate
    implements IAnchorContainerDelegate

A class, which contains helper-methods, which are necessary to implement the interface IAnchorContainerEditPart. It is not possible to make this an EditPart itself, because of different inheritance-hierarchies used in the sub-classes.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<PictogramElement>` `getModelChildren()` Gets the model children.

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.PictogramElementDelegate

`activate, createFigure, deactivate, getAdapter, getConfigurationProvider, getFeatureProvider, getFigureForGraphicsAlgorithm, getMainFiguresFromChildEditparts, getPictogramElement, getVisualState, isValid, refreshDecorators, refreshEditPartsForModelChildrenAndSourceConnections, refreshFigureForEditPart, setForceRefresh`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementDelegate

`activate, createFigure, deactivate, getConfigurationProvider, getFigureForGraphicsAlgorithm, getMainFiguresFromChildEditparts, getPictogramElement, isValid, refreshDecorators, refreshEditPartsForModelChildrenAndSourceConnections, refreshFigureForEditPart, setForceRefresh`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.platform.ga.IVisualStateHolder

`getVisualState`

### Method Detail

#### getModelChildren

    public java.util.List<PictogramElement> getModelChildren()

Description copied from interface: `IAnchorContainerDelegate`
Gets the model children.

Specified by:
  `getModelChildren` in interface `IAnchorContainerDelegate`
Returns:
  the model children